=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-10-14 10:26:00 +0000
+++ olive/__init__.py	2006-10-14 11:44:16 +0000
@@ -56,6 +56,19 @@
 
 from dialog import error_dialog, info_dialog
 
+# import this classes only once
+try:
+    from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
+    from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
+except ImportError:
+    # olive+bzr-gtk not installed. try to import from sources
+    path = os.path.dirname(os.path.dirname(__file__))
+    if path not in sys.path:
+        sys.path.append(path)
+    from viz.diffwin import DiffWindow
+    from viz.branchwin import BranchWindow
+
+
 class OliveGtk:
     """ The main Olive GTK frontend class. This is called when launching the
     program. """
@@ -351,7 +364,6 @@
     
     def on_menuitem_stats_diff_activate(self, widget):
         """ Statistics/Differences... menu handler. """
-        from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
         window = DiffWindow()
         parent_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
         window.set_diff(self.wt.branch.nick, self.wt, parent_tree)
@@ -365,7 +377,6 @@
     
     def on_menuitem_stats_log_activate(self, widget):
         """ Statistics/Log... menu handler. """
-        from bzrlib.plugins.gtk.viz.branchwin import BranchWindow
         window = BranchWindow()
         window.set_branch(self.wt.branch, self.wt.branch.last_revision(), None)
         window.show()

=== modified file 'olive/menu.py'
--- olive/menu.py	2006-10-14 10:26:00 +0000
+++ olive/menu.py	2006-10-14 11:44:16 +0000
@@ -30,7 +30,7 @@
 
 from dialog import error_dialog, info_dialog, warning_dialog
 from launch import launch
-from olive import OlivePreferences
+from olive import OlivePreferences, DiffWindow
 
 class OliveMenu:
     """ This class is responsible for building the context menus. """
@@ -210,8 +210,6 @@
     
     def diff(self, action):
         """ Right context menu -> Diff """
-        from bzrlib.plugins.gtk.viz.diffwin import DiffWindow
-        
         try:
             wt = WorkingTree.open_containing(self.path)[0]
         except errors.NotBranchError:

